/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {
  Title,
  Description,
  Primary,
  ArgsTable,
  PRIMARY_STORY,
} from '@storybook/addon-docs/blocks';
import AffiliateDiscalimer from '.';

export default {
  title: 'Theme/Atoms/Affiliate Disclaimer',
  component: AffiliateDiscalimer,
  argTypes: {
    showIcon: {
      control: 'boolean',
      defaultValue: true,
    },
  },
  parameters: {
    docs: {
      description: {
        component: 'AuthorTemplateOne component',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <AffiliateDiscalimer {...args} />;

export const Default = Template.bind({});
