/**
 * @name getPaymentData
 * @description Mock data related to the operator
 * @return {Object} operator mock data
 */
export default function getPaymentData(paymentName = 'Next', nrstars = 5) {
  const operator = {
    pageTemplate: 'operator_review',
    type: 'payment_method',
    name: paymentName,
    // ribbons: ribbonsArr,
    logo_filename_object: {
      alt: 'Logo image for Ice Casino',
      url: 'https://assets-srv.s3.eu-west-1.amazonaws.com/1652872724/apple-pay.svg',
      filename: '1677234514/winawin-logo.png',
    },
    standardised_logo_filename_object: {
      alt: 'Logo image',
      url: 'https://assets-srv.s3.eu-west-1.amazonaws.com/1652872724/apple-pay.svg',
      filename: '1677234514/winawin-logo.png',
    },
    relation: {
      name: paymentName,
      rating: '4.5',
      payout_time: 'Instant',
      min_deposit: '20',
      support_types: ['Email'],
    },
    numOfStars: nrstars,
    sections: {
      header: {
        modules: [
          {
            name: 'bonus',
            value: {
              one_liners: {
                main: {
                  one_liner: '20 Free Spins No Deposit Bonus + 300% & 555 Spins Welcome Bonus',
                },
              },
              standardised_logo_url_object: {
                filename: '1651670485/davincis-gold-casino-logo.png',
              },
              links: { main: 'test' },
              status: 'active',
            },
          },
        ],
      },
    },
    description: `Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages`,
  };
  return operator;
}
